umbrello: FindDialog Class Reference

umbrello 25.04.0 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

Public Member Functions | Protected Member Functions | Private Slots | List of all members
FindDialog Class Reference

`#include <finddialog.h>`

Inheritance diagram for FindDialog:

## Public Member Functions
| FindDialog (QWidget *parent=nullptr)
| ~FindDialog ()
QString | text () const
UMLFinder::Filter | filter () const
UMLFinder::Category | category () const
Public Member Functions inherited from SinglePageDialogBase
| SinglePageDialogBase (QWidget *parent, bool withApplyButton=false, bool withSearchButton=false)
virtual | ~SinglePageDialogBase ()
virtual bool | apply ()
void | setCaption (const QString &caption)
QWidget * | mainWidget ()
void | setMainWidget (QWidget *widget)
void | setButtonText (ButtonCode code, const QString &text)

## Protected Member Functions
void | showEvent (QShowEvent *event)
Protected Member Functions inherited from SinglePageDialogBase
void | enableButtonOk (bool enable)
virtual bool | validate ()

## Private Slots
void | slotFilterButtonClicked (int button)

## Additional Inherited Members
Public Types inherited from SinglePageDialogBase
enum | ButtonCode { Cancel = 0 , Ok = 1 , Apply = 2 }
Protected Slots inherited from SinglePageDialogBase
void | slotApply ()
void | slotOk ()
void | slotCancel ()
void | slotClicked (QAbstractButton *)
Protected Attributes inherited from SinglePageDialogBase
QDialogButtonBox * | m_buttonBox
QWidget * | m_mainWidget

## Detailed Description

Class FindDialog provides the ui part for selecting find attributes.

Author
  : Ralf Habacker ralf..nosp@m.haba.nosp@m.cker@.nosp@m.free.nosp@m.net.d.nosp@m.e

## Constructor & Destructor Documentation

## ◆ FindDialog()

FindDialog::FindDialog | ( | QWidget * | parent = nullptr | ) |
| explicit

## ◆ ~FindDialog()

FindDialog::~FindDialog | ( |  | ) |

## Member Function Documentation

## ◆ category()

UMLFinder::Category FindDialog::category | ( |  | ) | const

Return user selected category.

Returns
  category enum

## ◆ filter()

UMLFinder::Filter FindDialog::filter | ( |  | ) | const

Return user selected filter.

Returns
  filter enum

## ◆ showEvent()

void FindDialog::showEvent | ( | QShowEvent * | event | ) |
| protected

Override default event handler for show event.

Parameters

  event |

## ◆ slotFilterButtonClicked

void FindDialog::slotFilterButtonClicked | ( | int | button | ) |
| privateslot

Handles filter radio button group click.

Parameters

  button | (-2=Treeview,-3,-4)

## ◆ text()

QString FindDialog::text | ( |  | ) | const

return entered text.

Returns
  text

The documentation for this class was generated from the following files:

- umbrello/dialogs/finddialog.h
- umbrello/dialogs/finddialog.cpp